Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageGaussianSource Class Reference

`#include <vtkImageGaussianSource.h>`

Inheritance diagram for vtkImageGaussianSource:

[legend]
Collaboration diagram for vtkImageGaussianSource:

[legend]
List of all members.

## Detailed Description

Create an image with Gaussian pixel values.

Date:
  2002/01/22 15:32:37

Revision:
  1.25

vtkImageGaussianSource just produces images with pixel values determined by a Gaussian.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (55%)
  - Martin, Ken (35%)
  - Avila, Lisa (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageGaussianSource.cxx)`
  - .`h` (`/Imaging/vtkImageGaussianSource.h)`

Tests:
  vtkImageGaussianSource (Tests)

Definition at line 46 of file vtkImageGaussianSource.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetWholeExtent (int xMinx, int xMax, int yMin, int yMax, int zMin, int zMax)
virtual void | SetCenter (float, float, float)
virtual void | SetCenter (float[3])
virtual float * | GetCenter ()
virtual void | GetCenter (float &, float &, float &)
virtual void | GetCenter (float[3])
virtual void | SetMaximum (float)
virtual float | GetMaximum ()
virtual void | SetStandardDeviation (float)
virtual float | GetStandardDeviation ()
## Static Public Methods
vtkImageGaussianSource * | New ()
int | IsTypeOf (const char *type)
vtkImageGaussianSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageGaussianSource ()
| ~vtkImageGaussianSource ()
virtual void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *data)
## Protected Attributes
float | StandardDeviation
int | WholeExtent [6]
float | Center [3]
float | Maximum

## Member Typedef Documentation

typedef vtkImageSource vtkImageGaussianSource::Superclass

| Reimplemented from vtkImageSource. Definition at line 50 of file vtkImageGaussianSource.h.

## Constructor & Destructor Documentation

vtkImageGaussianSource::vtkImageGaussianSource | ( |  | ) | `[protected]`

vtkImageGaussianSource::~vtkImageGaussianSource | ( |  | ) | `[inline, protected]`

| Definition at line 79 of file vtkImageGaussianSource.h.

## Member Function Documentation

vtkImageGaussianSource* vtkImageGaussianSource::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageGaussianSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource.

int vtkImageGaussianSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

virtual int vtkImageGaussianSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

vtkImageGaussianSource* vtkImageGaussianSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource.

void vtkImageGaussianSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource.

void vtkImageGaussianSource::SetWholeExtent | ( | int | xMinx,
|  | int | xMax,
|  | int | yMin,
|  | int | yMax,
|  | int | zMin,
|  | int | zMax
| ) |

| Set/Get the extent of the whole output image.

virtual void vtkImageGaussianSource::SetCenter | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the center of the Gaussian.

virtual void vtkImageGaussianSource::SetCenter | ( | float | [3] | ) | `[virtual]`

| Set/Get the center of the Gaussian.

virtual float* vtkImageGaussianSource::GetCenter | ( |  | ) | `[virtual]`

| Set/Get the center of the Gaussian.

virtual void vtkImageGaussianSource::GetCenter | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set/Get the center of the Gaussian.

virtual void vtkImageGaussianSource::GetCenter | ( | float | [3] | ) | `[virtual]`

| Set/Get the center of the Gaussian.

virtual void vtkImageGaussianSource::SetMaximum | ( | float |  | ) | `[virtual]`

| Set/Get the Maximum value of the gaussian

virtual float vtkImageGaussianSource::GetMaximum | ( |  | ) | `[virtual]`

| Set/Get the Maximum value of the gaussian

virtual void vtkImageGaussianSource::SetStandardDeviation | ( | float |  | ) | `[virtual]`

| Set/Get the standard deviation of the gaussian

virtual float vtkImageGaussianSource::GetStandardDeviation | ( |  | ) | `[virtual]`

| Set/Get the standard deviation of the gaussian

virtual void vtkImageGaussianSource::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

virtual void vtkImageGaussianSource::ExecuteData | ( | vtkDataObject * | data | ) | `[protected, virtual]`

## Member Data Documentation

float vtkImageGaussianSource::StandardDeviation`[protected]`

| Definition at line 81 of file vtkImageGaussianSource.h.

int vtkImageGaussianSource::WholeExtent[6]`[protected]`

| Definition at line 82 of file vtkImageGaussianSource.h.

float vtkImageGaussianSource::Center[3]`[protected]`

| Definition at line 83 of file vtkImageGaussianSource.h.

float vtkImageGaussianSource::Maximum`[protected]`

| Definition at line 84 of file vtkImageGaussianSource.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageGaussianSource.h